/sap-successfactors-workflow | Type: Application | PCID required: Yes
Tools
sap_successfactors_workflow_create_approve_wf_request
Invoke action approveWfRequest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestId | string | Yes | — | Wf Request Id |
comment | string | Yes | — | The comment value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestId": {
"type": "string",
"description": "Wf Request Id"
},
"comment": {
"type": "string",
"description": "The comment value"
}
},
"required": [
"PCID",
"wfRequestId",
"comment"
]
}
sap_successfactors_workflow_create_comment_wf_request
Invoke action commentWfRequest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestId | string | Yes | — | Wf Request Id |
comment | string | Yes | — | The comment value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestId": {
"type": "string",
"description": "Wf Request Id"
},
"comment": {
"type": "string",
"description": "The comment value"
}
},
"required": [
"PCID",
"wfRequestId",
"comment"
]
}
sap_successfactors_workflow_create_reject_wf_request
Invoke action rejectWfRequest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestId | string | Yes | — | Wf Request Id |
comment | string | Yes | — | The comment value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestId": {
"type": "string",
"description": "Wf Request Id"
},
"comment": {
"type": "string",
"description": "The comment value"
}
},
"required": [
"PCID",
"wfRequestId",
"comment"
]
}
sap_successfactors_workflow_create_sendback_wf_request
Invoke action sendbackWfRequest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestId | string | Yes | — | Wf Request Id |
comment | string | Yes | — | The comment value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestId": {
"type": "string",
"description": "Wf Request Id"
},
"comment": {
"type": "string",
"description": "The comment value"
}
},
"required": [
"PCID",
"wfRequestId",
"comment"
]
}
sap_successfactors_workflow_create_withdraw_wf_request
Invoke action withdrawWfRequest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestId | string | Yes | — | Wf Request Id |
comment | string | Yes | — | The comment value |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestId": {
"type": "string",
"description": "Wf Request Id"
},
"comment": {
"type": "string",
"description": "The comment value"
}
},
"required": [
"PCID",
"wfRequestId",
"comment"
]
}
sap_successfactors_workflow_get_emp_wf_request
Get entity from EmpWfRequest by key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
empWfRequestId | integer | Yes | — | key: empWfRequestId |
$select | string[] | No | — | Select properties to be returned, see OData Select |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"empWfRequestId": {
"type": "integer",
"description": "key: empWfRequestId"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actionType",
"effectiveDate",
"empWfRequestId",
"entityType",
"eventReason",
"requestType",
"subjectId",
"wfConfig",
"wfRequestId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID",
"empWfRequestId"
]
}
sap_successfactors_workflow_get_my_pending_workflow
Get entity from MyPendingWorkflow by key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestId | string | Yes | — | key: wfRequestId |
$select | string[] | No | — | Select properties to be returned, see OData Select |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestId": {
"type": "string",
"description": "key: wfRequestId"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"desc",
"subject",
"url",
"wfRequestId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID",
"wfRequestId"
]
}
sap_successfactors_workflow_get_wf_request
Get entity from WfRequest by key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestId | integer | Yes | — | key: wfRequestId |
$select | string[] | No | — | Select properties to be returned, see OData Select |
$expand | string[] | No | — | Expand related entities, see OData Expand |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestId": {
"type": "integer",
"description": "key: wfRequestId"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"createdBy",
"createdDateTime",
"createdOn",
"currentStepNum",
"lastModifiedBy",
"lastModifiedDateTime",
"lastModifiedOn",
"module",
"parentWfRequestId",
"reminderSentDate",
"status",
"totalSteps",
"url",
"wfRequestId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"*",
"empWfRequestNav",
"parentWfRequestNav",
"wfRequestCommentsNav",
"wfRequestParticipatorNav",
"wfRequestStepNav",
"workflowAllowedActionListNav"
]
},
"description": "Expand related entities, see [OData Expand](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID",
"wfRequestId"
]
}
sap_successfactors_workflow_get_wf_request_comments
Get entity from WfRequestComments by key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestCommentId | integer | Yes | — | key: wfRequestCommentId |
$select | string[] | No | — | Select properties to be returned, see OData Select |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestCommentId": {
"type": "integer",
"description": "key: wfRequestCommentId"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actionType",
"comments",
"createdBy",
"createdDateTime",
"createdOn",
"lastModifiedBy",
"lastModifiedDateTime",
"lastModifiedOn",
"userId",
"wfRequestCommentId",
"wfRequestId",
"wfRequestStepId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID",
"wfRequestCommentId"
]
}
sap_successfactors_workflow_get_wf_request_participator
Get entity from WfRequestParticipator by key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestParticipatorId | integer | Yes | — | key: wfRequestParticipatorId |
$select | string[] | No | — | Select properties to be returned, see OData Select |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestParticipatorId": {
"type": "integer",
"description": "key: wfRequestParticipatorId"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actorType",
"createdBy",
"createdDateTime",
"createdOn",
"lastModifiedBy",
"lastModifiedDateTime",
"lastModifiedOn",
"ownerId",
"participatorType",
"processingOrder",
"relatedTo",
"roleId",
"wfRequestId",
"wfRequestParticipatorId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID",
"wfRequestParticipatorId"
]
}
sap_successfactors_workflow_get_wf_request_step
Get entity from WfRequestStep by key Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
wfRequestStepId | integer | Yes | — | key: wfRequestStepId |
$select | string[] | No | — | Select properties to be returned, see OData Select |
$expand | string[] | No | — | Expand related entities, see OData Expand |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"wfRequestStepId": {
"type": "integer",
"description": "key: wfRequestStepId"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actionType",
"approverType",
"createdBy",
"createdDateTime",
"createdOn",
"lastModifiedBy",
"lastModifiedDateTime",
"lastModifiedOn",
"ownerId",
"processedBy",
"relatedTo",
"role",
"status",
"stepNum",
"wfRequestId",
"wfRequestStepId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"*",
"wfRequestNav"
]
},
"description": "Expand related entities, see [OData Expand](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID",
"wfRequestStepId"
]
}
sap_successfactors_workflow_list_emp_wf_request
Get entities from EmpWfRequest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
$top | integer | No | — | Show only the first n items, see OData Paging - Top |
$skip | integer | No | — | Skip the first n items, see OData Paging - Skip |
$search | string | No | — | Search items by search phrases, see OData Searching |
$filter | string | No | — | Filter items by property values, see OData Filtering |
$count | boolean | No | — | Include count of items, see OData Count |
$orderby | string[] | No | — | Order items by property values, see OData Sorting |
$select | string[] | No | — | Select properties to be returned, see OData Select |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"$top": {
"type": "integer",
"description": "Show only the first n items, see [OData Paging - Top](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$skip": {
"type": "integer",
"description": "Skip the first n items, see [OData Paging - Skip](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$search": {
"type": "string",
"description": "Search items by search phrases, see [OData Searching](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$filter": {
"type": "string",
"description": "Filter items by property values, see [OData Filtering](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$count": {
"type": "boolean",
"description": "Include count of items, see [OData Count](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$orderby": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actionType",
"actionType desc",
"effectiveDate",
"effectiveDate desc",
"empWfRequestId",
"empWfRequestId desc",
"entityType",
"entityType desc",
"eventReason",
"eventReason desc",
"requestType",
"requestType desc",
"subjectId",
"subjectId desc",
"wfConfig",
"wfConfig desc",
"wfRequestId",
"wfRequestId desc"
]
},
"description": "Order items by property values, see [OData Sorting](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actionType",
"effectiveDate",
"empWfRequestId",
"entityType",
"eventReason",
"requestType",
"subjectId",
"wfConfig",
"wfRequestId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID"
]
}
sap_successfactors_workflow_list_my_pending_workflow
Get entities from MyPendingWorkflow Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
$top | integer | No | — | Show only the first n items, see OData Paging - Top |
$skip | integer | No | — | Skip the first n items, see OData Paging - Skip |
$search | string | No | — | Search items by search phrases, see OData Searching |
$filter | string | No | — | Filter items by property values, see OData Filtering |
$count | boolean | No | — | Include count of items, see OData Count |
$orderby | string[] | No | — | Order items by property values, see OData Sorting |
$select | string[] | No | — | Select properties to be returned, see OData Select |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"$top": {
"type": "integer",
"description": "Show only the first n items, see [OData Paging - Top](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$skip": {
"type": "integer",
"description": "Skip the first n items, see [OData Paging - Skip](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$search": {
"type": "string",
"description": "Search items by search phrases, see [OData Searching](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$filter": {
"type": "string",
"description": "Filter items by property values, see [OData Filtering](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$count": {
"type": "boolean",
"description": "Include count of items, see [OData Count](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$orderby": {
"type": "array",
"items": {
"type": "string",
"enum": [
"desc",
"desc desc",
"subject",
"subject desc",
"url",
"url desc",
"wfRequestId",
"wfRequestId desc"
]
},
"description": "Order items by property values, see [OData Sorting](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"desc",
"subject",
"url",
"wfRequestId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID"
]
}
sap_successfactors_workflow_list_wf_request
Get entities from WfRequest Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
$top | integer | No | — | Show only the first n items, see OData Paging - Top |
$skip | integer | No | — | Skip the first n items, see OData Paging - Skip |
$search | string | No | — | Search items by search phrases, see OData Searching |
$filter | string | No | — | Filter items by property values, see OData Filtering |
$count | boolean | No | — | Include count of items, see OData Count |
$orderby | string[] | No | — | Order items by property values, see OData Sorting |
$select | string[] | No | — | Select properties to be returned, see OData Select |
$expand | string[] | No | — | Expand related entities, see OData Expand |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"$top": {
"type": "integer",
"description": "Show only the first n items, see [OData Paging - Top](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$skip": {
"type": "integer",
"description": "Skip the first n items, see [OData Paging - Skip](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$search": {
"type": "string",
"description": "Search items by search phrases, see [OData Searching](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$filter": {
"type": "string",
"description": "Filter items by property values, see [OData Filtering](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$count": {
"type": "boolean",
"description": "Include count of items, see [OData Count](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$orderby": {
"type": "array",
"items": {
"type": "string",
"enum": [
"createdBy",
"createdBy desc",
"createdDateTime",
"createdDateTime desc",
"createdOn",
"createdOn desc",
"currentStepNum",
"currentStepNum desc",
"lastModifiedBy",
"lastModifiedBy desc",
"lastModifiedDateTime",
"lastModifiedDateTime desc",
"lastModifiedOn",
"lastModifiedOn desc",
"module",
"module desc",
"parentWfRequestId",
"parentWfRequestId desc",
"reminderSentDate",
"reminderSentDate desc",
"status",
"status desc",
"totalSteps",
"totalSteps desc",
"url",
"url desc",
"wfRequestId",
"wfRequestId desc"
]
},
"description": "Order items by property values, see [OData Sorting](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"createdBy",
"createdDateTime",
"createdOn",
"currentStepNum",
"lastModifiedBy",
"lastModifiedDateTime",
"lastModifiedOn",
"module",
"parentWfRequestId",
"reminderSentDate",
"status",
"totalSteps",
"url",
"wfRequestId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"*",
"empWfRequestNav",
"parentWfRequestNav",
"wfRequestCommentsNav",
"wfRequestParticipatorNav",
"wfRequestStepNav",
"workflowAllowedActionListNav"
]
},
"description": "Expand related entities, see [OData Expand](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID"
]
}
sap_successfactors_workflow_list_wf_request_comments
Get entities from WfRequestComments Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
$top | integer | No | — | Show only the first n items, see OData Paging - Top |
$skip | integer | No | — | Skip the first n items, see OData Paging - Skip |
$search | string | No | — | Search items by search phrases, see OData Searching |
$filter | string | No | — | Filter items by property values, see OData Filtering |
$count | boolean | No | — | Include count of items, see OData Count |
$orderby | string[] | No | — | Order items by property values, see OData Sorting |
$select | string[] | No | — | Select properties to be returned, see OData Select |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"$top": {
"type": "integer",
"description": "Show only the first n items, see [OData Paging - Top](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$skip": {
"type": "integer",
"description": "Skip the first n items, see [OData Paging - Skip](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$search": {
"type": "string",
"description": "Search items by search phrases, see [OData Searching](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$filter": {
"type": "string",
"description": "Filter items by property values, see [OData Filtering](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$count": {
"type": "boolean",
"description": "Include count of items, see [OData Count](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$orderby": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actionType",
"actionType desc",
"comments",
"comments desc",
"createdBy",
"createdBy desc",
"createdDateTime",
"createdDateTime desc",
"createdOn",
"createdOn desc",
"lastModifiedBy",
"lastModifiedBy desc",
"lastModifiedDateTime",
"lastModifiedDateTime desc",
"lastModifiedOn",
"lastModifiedOn desc",
"userId",
"userId desc",
"wfRequestCommentId",
"wfRequestCommentId desc",
"wfRequestId",
"wfRequestId desc",
"wfRequestStepId",
"wfRequestStepId desc"
]
},
"description": "Order items by property values, see [OData Sorting](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actionType",
"comments",
"createdBy",
"createdDateTime",
"createdOn",
"lastModifiedBy",
"lastModifiedDateTime",
"lastModifiedOn",
"userId",
"wfRequestCommentId",
"wfRequestId",
"wfRequestStepId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID"
]
}
sap_successfactors_workflow_list_wf_request_participator
Get entities from WfRequestParticipator Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
$top | integer | No | — | Show only the first n items, see OData Paging - Top |
$skip | integer | No | — | Skip the first n items, see OData Paging - Skip |
$search | string | No | — | Search items by search phrases, see OData Searching |
$filter | string | No | — | Filter items by property values, see OData Filtering |
$count | boolean | No | — | Include count of items, see OData Count |
$orderby | string[] | No | — | Order items by property values, see OData Sorting |
$select | string[] | No | — | Select properties to be returned, see OData Select |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"$top": {
"type": "integer",
"description": "Show only the first n items, see [OData Paging - Top](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$skip": {
"type": "integer",
"description": "Skip the first n items, see [OData Paging - Skip](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$search": {
"type": "string",
"description": "Search items by search phrases, see [OData Searching](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$filter": {
"type": "string",
"description": "Filter items by property values, see [OData Filtering](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$count": {
"type": "boolean",
"description": "Include count of items, see [OData Count](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$orderby": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actorType",
"actorType desc",
"createdBy",
"createdBy desc",
"createdDateTime",
"createdDateTime desc",
"createdOn",
"createdOn desc",
"lastModifiedBy",
"lastModifiedBy desc",
"lastModifiedDateTime",
"lastModifiedDateTime desc",
"lastModifiedOn",
"lastModifiedOn desc",
"ownerId",
"ownerId desc",
"participatorType",
"participatorType desc",
"processingOrder",
"processingOrder desc",
"relatedTo",
"relatedTo desc",
"roleId",
"roleId desc",
"wfRequestId",
"wfRequestId desc",
"wfRequestParticipatorId",
"wfRequestParticipatorId desc"
]
},
"description": "Order items by property values, see [OData Sorting](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actorType",
"createdBy",
"createdDateTime",
"createdOn",
"lastModifiedBy",
"lastModifiedDateTime",
"lastModifiedOn",
"ownerId",
"participatorType",
"processingOrder",
"relatedTo",
"roleId",
"wfRequestId",
"wfRequestParticipatorId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID"
]
}
sap_successfactors_workflow_list_wf_request_step
Get entities from WfRequestStep Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
$top | integer | No | — | Show only the first n items, see OData Paging - Top |
$skip | integer | No | — | Skip the first n items, see OData Paging - Skip |
$search | string | No | — | Search items by search phrases, see OData Searching |
$filter | string | No | — | Filter items by property values, see OData Filtering |
$count | boolean | No | — | Include count of items, see OData Count |
$orderby | string[] | No | — | Order items by property values, see OData Sorting |
$select | string[] | No | — | Select properties to be returned, see OData Select |
$expand | string[] | No | — | Expand related entities, see OData Expand |
Show inputSchema
Show inputSchema
{
"type": "object",
"properties": {
"PCID": {
"type": "string",
"description": "Pink Connect ID for the authenticated connection"
},
"$top": {
"type": "integer",
"description": "Show only the first n items, see [OData Paging - Top](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$skip": {
"type": "integer",
"description": "Skip the first n items, see [OData Paging - Skip](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$search": {
"type": "string",
"description": "Search items by search phrases, see [OData Searching](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$filter": {
"type": "string",
"description": "Filter items by property values, see [OData Filtering](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$count": {
"type": "boolean",
"description": "Include count of items, see [OData Count](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$orderby": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actionType",
"actionType desc",
"approverType",
"approverType desc",
"createdBy",
"createdBy desc",
"createdDateTime",
"createdDateTime desc",
"createdOn",
"createdOn desc",
"lastModifiedBy",
"lastModifiedBy desc",
"lastModifiedDateTime",
"lastModifiedDateTime desc",
"lastModifiedOn",
"lastModifiedOn desc",
"ownerId",
"ownerId desc",
"processedBy",
"processedBy desc",
"relatedTo",
"relatedTo desc",
"role",
"role desc",
"status",
"status desc",
"stepNum",
"stepNum desc",
"wfRequestId",
"wfRequestId desc",
"wfRequestStepId",
"wfRequestStepId desc"
]
},
"description": "Order items by property values, see [OData Sorting](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$select": {
"type": "array",
"items": {
"type": "string",
"enum": [
"actionType",
"approverType",
"createdBy",
"createdDateTime",
"createdOn",
"lastModifiedBy",
"lastModifiedDateTime",
"lastModifiedOn",
"ownerId",
"processedBy",
"relatedTo",
"role",
"status",
"stepNum",
"wfRequestId",
"wfRequestStepId"
]
},
"description": "Select properties to be returned, see [OData Select](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
},
"$expand": {
"type": "array",
"items": {
"type": "string",
"enum": [
"*",
"wfRequestNav"
]
},
"description": "Expand related entities, see [OData Expand](https://www.odata.org/documentation/odata-version-2-0/uri-conventions/)"
}
},
"required": [
"PCID"
]
}

